Subject: bug#38059: closed (Re: [bug#38059] [PATCH 3/3] services: Add pagekite-service-type.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Nov 2019 20:20:02 +0000

Your bug report

#38059: [PATCH 0/3] services: Add pagekite-service-type.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38059: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38059
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#38059] [PATCH 3/3] services: Add pagekite-service-type.
From: "Alex Griffin" <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Mon, 11 Nov 2019 20:18:56 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Nov 11, 2019, at 2:04 PM, Ludovic Courtès wrote:
> Then I think you can push it as-is, with an eye on implementing the
> missing bits later.  :-)
> 
> The goal is to ensure we ship services that actually work, and to make
> it easy to test for regressions when we upgrade the package or modify
> the service.

Pushed as a2161c861f! I'll keep an eye on the status of Python 3 support see if I can't extend the service and tests when I have time.

-- 
Alex Griffin

Subject: [PATCH 0/2] gnu: Add pagekite.
From: "Alex Griffin" <[email-masked]>
To: [email-masked]
Date: Mon, 04 Nov 2019 14:44:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series adds PageKite, an easy way to make TCP servers (like HTTP or SSH) accessible on the internet, even from behind NAT or restrictive firewalls. I'm also working on writing a PageKite service, but it's not done yet and the package is still useful without it.

https://pagekite.net/

-- 
Alex Griffin